Vcenter Compute Policies get

Vcenter Compute Policies get

Returns information about a specific compute policy.

This operation was added in vSphere API 7.0.3.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/vcenter/compute/policies/{policy}
COPY
Path Parameters
string
policy
Required

Identifier of the policy for which information should be retrieved.

The parameter must be an identifier for the resource type: com.vmware.vcenter.compute.Policy.


Authentication
This operation uses the following authentication methods.
Responses
200

Detailed information about the specified compute policy. The returned value can be converted to the information type of the capability that this policy is based on. See Vcenter Compute Policies Capabilities Info.info_type.

The response will contain all the properties defined in Vcenter Compute Policies Info.

Returns Vcenter Compute Policies Info of type(s) application/json
{
    "name": "string",
    "description": "string",
    "capability": "string",
    "managed_by": {
        "entity": "string"
    }
}
string
name
Required

Name of the policy.

This property was added in vSphere API 7.0.3.0.

string
description
Required

Description of the policy.

This property was added in vSphere API 7.0.3.0.

string
capability
Required

Identifier of the capability this policy is based on.

This property was added in vSphere API 7.0.3.0.

When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.vcenter.compute.policies.Capability. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.vcenter.compute.policies.Capability.

managed_by
Optional

Information about the entity that manages this policy.

This property identifies which entity is responsible for managing the policy and can influence operations such as delete. If missing or null, the policy is not managed by any specific entity. Any user with ComputePolicy.Manage privilege can manage the policy.

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if the user doesn't have the required privileges.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


404

if a policy with this identifier does not exist.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/compute/policies/{policy}